Package com.databricks.jdbc.api.impl.arrow

## Class StreamingChunkDownloadTask

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.StreamingChunkDownloadTask

All Implemented Interfaces:
  `Callable<Void>`

    public class StreamingChunkDownloadTask
    extends Object
    implements Callable<Void>

A download task for streaming chunk provider. Simpler than ChunkDownloadTask - uses ChunkLinkFetcher directly for link refresh instead of ChunkLinkDownloadService.

### Constructor Summary

Constructors
`StreamingChunkDownloadTask​(ArrowResultChunk chunk, IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, ChunkLinkFetcher linkFetcher, double cloudFetchSpeedThreshold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingChunkDownloadTask

    public StreamingChunkDownloadTask​(ArrowResultChunk chunk,
                                      IDatabricksHttpClient httpClient,
                                      CompressionCodec compressionCodec,
                                      ChunkLinkFetcher linkFetcher,
                                      double cloudFetchSpeedThreshold)

### Method Detail

#### call

    public Void call()
              throws DatabricksSQLException

Specified by:
  `call` in interface `Callable<Void>`
Throws:
  `DatabricksSQLException`